summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorElrond <elrond@samba.org>2000-04-22 13:42:49 +0000
committerElrond <elrond@samba.org>2000-04-22 13:42:49 +0000
commit08611e55fce122745085ec1ad0289457bb332abd (patch)
treed69a86f554917f2a4bce4aef41df89851839cf9f
parent58a199c08a227eed6d591892362429bf5fd1637a (diff)
downloadsamba-08611e55fce122745085ec1ad0289457bb332abd.tar.gz
samba-08611e55fce122745085ec1ad0289457bb332abd.tar.xz
samba-08611e55fce122745085ec1ad0289457bb332abd.zip
Directly from HEAD:
installscripts.sh installswat.sh makeyodldocs.sh smbtar
-rwxr-xr-xsource/script/installscripts.sh1
-rwxr-xr-xsource/script/installswat.sh2
-rwxr-xr-xsource/script/makeyodldocs.sh10
-rw-r--r--source/script/smbtar11
4 files changed, 10 insertions, 14 deletions
diff --git a/source/script/installscripts.sh b/source/script/installscripts.sh
index 6d55317e9e1..bff5423e7cb 100755
--- a/source/script/installscripts.sh
+++ b/source/script/installscripts.sh
@@ -25,6 +25,7 @@ for p in $*; do
p2=`basename $p`
echo Installing $BINDIR/$p2
if [ -f $BINDIR/$p2 ]; then
+ rm -f $BINDIR/$p2.old
mv $BINDIR/$p2 $BINDIR/$p2.old
fi
cp $p $BINDIR/
diff --git a/source/script/installswat.sh b/source/script/installswat.sh
index cc2ab943d9a..ab760cb545b 100755
--- a/source/script/installswat.sh
+++ b/source/script/installswat.sh
@@ -6,7 +6,7 @@ SRCDIR=$2/
echo Installing SWAT in $SWATDIR
-echo Installing the Samba Web Admisistration Tool
+echo Installing the Samba Web Administration Tool
for d in $SWATDIR $SWATDIR/help $SWATDIR/images $SWATDIR/include; do
if [ ! -d $d ]; then
diff --git a/source/script/makeyodldocs.sh b/source/script/makeyodldocs.sh
index c943224fe5b..d0abaab7aec 100755
--- a/source/script/makeyodldocs.sh
+++ b/source/script/makeyodldocs.sh
@@ -55,16 +55,8 @@ do
exit 1
fi
cp $bn.html ../htmldocs || echo "Cannot create $YODLDIR/../htmldocs/$bn.html"
-#
-# Copy to SWAT directory.
-#
- if [ $bn = "smb.conf.5" ]; then
- rm -f ../../swat/help/smb.conf.5.html || echo "Cannot remove ../../swat/help/smb.conf.5.html"
-
- cp $bn.html ../../swat/help || echo "Cannot copy smb.conf.5.html to ../../swat/help/smb.conf.5.html"
- fi
rm -f $bn.html
- ;;
+ ;;
*)
#
# Non man-page YODL docs - just make html and text.
diff --git a/source/script/smbtar b/source/script/smbtar
index f04eddc32ba..cf3ff0ebe68 100644
--- a/source/script/smbtar
+++ b/source/script/smbtar
@@ -30,7 +30,9 @@ username=$LOGNAME # Default: same user name as in *nix
verbose="2>/dev/null" # Default: no echo to stdout
log="-d 2"
newer=""
+newerarg=""
blocksize=""
+blocksizearg=""
clientargs="-c 'tarmode full'"
tarcmd="c"
tarargs=""
@@ -62,7 +64,7 @@ Options: (Description) (Default)
exit $ex
}
-echo Params count: $#
+# echo Params count: $#
# DEC OSF AKA Digital UNIX does not seem to return a value in OPTIND if
# there are no command line params, so protect us against that ...
@@ -97,7 +99,7 @@ while getopts riavl:b:d:N:s:p:x:u:Xt: c; do
N) # compare with a file, test if [n]ewer
if [ -f $OPTARG ]; then
newer=$OPTARG
- tarargs=${tarargs}N
+ newerarg="N"
else
echo >&2 $0: Warning, $OPTARG not found
fi
@@ -115,7 +117,7 @@ while getopts riavl:b:d:N:s:p:x:u:Xt: c; do
*) echo >&2 "$0: Error, block size not numeric: -b $OPTARG"
exit 1
esac
- tarargs=${tarargs}b
+ blocksizearg="b"
;;
p) # specify [p]assword to use
password="$OPTARG"
@@ -155,7 +157,8 @@ if [ -z "$verbose" ]; then
echo "blocksize is $blocksize"
fi
+tarargs=${tarargs}${blocksizearg}${newerarg}
+
eval $SMBCLIENT "'\\\\$server\\$service'" "'$password'" -U "'$username'" \
-E -N $log -D "'$cdcmd'" ${clientargs} \
-T${tarcmd}${tarargs} $blocksize $newer $tapefile '${1+"$@"}' $verbose
-